Page MenuHomePhabricator

shinken: Use new mx-out* servers
Closed, ResolvedPublic

Description

Configure shinken-02 to use new mx-out*.wmflabs.org forwarders.

Event Timeline

GTirloni created this task.Oct 24 2018, 7:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2018, 7:53 PM
Krenair added a subscriber: Krenair.

Change 469524 had a related patch set uploaded (by Alex Monk; owner: Alex Monk):
[operations/puppet@production] Move mail_smarthost (and wikimail_smarthost) to hiera

https://gerrit.wikimedia.org/r/469524

Change 469524 merged by Herron:
[operations/puppet@production] Move mail_smarthost (and wikimail_smarthost) to hiera

https://gerrit.wikimedia.org/r/469524

Krenair claimed this task.Oct 29 2018, 6:39 PM

trying this now

https://wikitech.wikimedia.org/w/index.php?title=Hiera:Shinken&diff=1807283&oldid=1767246

Notice: /Stage[main]/Exim4/File[/etc/exim4/exim4.conf]/content: 
--- /etc/exim4/exim4.conf	2018-10-25 12:41:07.406777412 +0000
+++ /tmp/puppet-file20181029-27400-1edb4uz	2018-10-29 18:39:59.128189811 +0000
@@ -40,7 +40,7 @@
 smart_route:
 	driver = manualroute
 	transport = remote_smtp
-	route_list = *	mx1001.wikimedia.org:mx2001.wikimedia.org
+	route_list = *	mx-out01.wmflabs.org:mx-out02.wmflabs.org
 
 
 begin transports

Info: Computing checksum on file /etc/exim4/exim4.conf
Info: /Stage[main]/Exim4/File[/etc/exim4/exim4.conf]: Filebucketed /etc/exim4/exim4.conf to puppet with sum a865fc6e896168cd1ab4768772f235c8
Notice: /Stage[main]/Exim4/File[/etc/exim4/exim4.conf]/content: content changed '{md5}a865fc6e896168cd1ab4768772f235c8' to '{md5}d8e8784a876b0a0dd84793831d4aed89'
Info: /Stage[main]/Exim4/File[/etc/exim4/exim4.conf]: Scheduling refresh of Service[exim4]
Notice: /Stage[main]/Exim4/Service[exim4]: Triggered 'refresh' from 1 events
Notice: Applied catalog in 27.77 seconds

ran echo test | mail -s test krenair@gmail.com on shinken-02, got a mail as expected with this:

Received: from mx-out01.wmflabs.org (mx-out01.wmflabs.org. [185.15.56.18])
        by mx.google.com with ESMTPS id z187-v6si3447022qke.109.2018.10.29.11.41.12
        for <krenair@gmail.com>
        (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
        Mon, 29 Oct 2018 11:41:12 -0700 (PDT)
Received-SPF: neutral (google.com: 185.15.56.18 is neither permitted nor denied by domain of root@wmflabs.org) client-ip=185.15.56.18;
Authentication-Results: mx.google.com;
       spf=neutral (google.com: 185.15.56.18 is neither permitted nor denied by domain of root@wmflabs.org) smtp.mailfrom=root@wmflabs.org
Received: from shinken-02.shinken.eqiad.wmflabs ([10.68.21.15]:34328) by mx-out01.wmflabs.org with esmtp (Exim 4.89) (envelope-from <root@wmflabs.org>) id 1gHCTM-0002Ho-Fj for krenair@gmail.com; Mon, 29 Oct 2018 18:41:08 +0000
Krenair closed this task as Resolved.Oct 30 2018, 12:28 AM

yeah it's fine

I should probably add that I checked that shinken mail comes out successfully via the new host :)